
// this file is generated — do not edit it


/// <reference types="@sveltejs/kit" />

/**
 * Environment variables [loaded by Vite](https://vitejs.dev/guide/env-and-mode.html#env-files) from `.env` files and `process.env`. Like [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), this module cannot be imported into public-facing code. This module only includes variables that _do not_ begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env).
 * 
 * _Unlike_ [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), the values exported from this module are statically injected into your bundle at build time, enabling optimisations like dead code elimination.
 * 
 * ```ts
 * import { API_KEY } from '$env/static/private';
 * ```
 * 
 * Note that all environment variables referenced in your code should be declared (for example in an `.env` file), even if they don't have a value until the app is deployed:
 * 
 * ```
 * MY_FEATURE_FLAG=""
 * ```
 * 
 * You can override `.env` values from the command line like so:
 * 
 * ```bash
 * MY_FEATURE_FLAG="enabled" npm run dev
 * ```
 */
declare module '$env/static/private' {
	export const npm_package_devDependencies_svelte2tsx: string;
	export const DEPLOYMENT_BASEPATH: string;
	export const DOTNET_NOLOGO: string;
	export const USER: string;
	export const npm_config_user_agent: string;
	export const CI: string;
	export const npm_package_bugs_url: string;
	export const GITHUB_ENV: string;
	export const PIPX_HOME: string;
	export const npm_package_devDependencies_vite: string;
	export const npm_node_execpath: string;
	export const JAVA_HOME_8_X64: string;
	export const SHLVL: string;
	export const npm_package_publishConfig_access: string;
	export const HOME: string;
	export const RUNNER_TEMP: string;
	export const GITHUB_EVENT_PATH: string;
	export const npm_package_devDependencies_del_cli: string;
	export const JAVA_HOME_11_X64: string;
	export const PIPX_BIN_DIR: string;
	export const GRAALVM_11_ROOT: string;
	export const GITHUB_REPOSITORY_OWNER: string;
	export const GRADLE_HOME: string;
	export const ANDROID_NDK_LATEST_HOME: string;
	export const GITHUB_RETENTION_DAYS: string;
	export const POWERSHELL_DISTRIBUTION_CHANNEL: string;
	export const AZURE_EXTENSION_DIR: string;
	export const GITHUB_HEAD_REF: string;
	export const npm_package_scripts_check: string;
	export const npm_package_keywords_0: string;
	export const npm_package_peerDependencies__supabase_supabase_js: string;
	export const GITHUB_GRAPHQL_URL: string;
	export const npm_package_description: string;
	export const npm_package_keywords_1: string;
	export const npm_package_devDependencies_typescript: string;
	export const NVM_DIR: string;
	export const npm_package_types: string;
	export const npm_package_keywords_2: string;
	export const npm_package_homepage: string;
	export const DOTNET_SKIP_FIRST_TIME_EXPERIENCE: string;
	export const JAVA_HOME_17_X64: string;
	export const ImageVersion: string;
	export const npm_package_keywords_3: string;
	export const RUNNER_OS: string;
	export const GITHUB_API_URL: string;
	export const SWIFT_PATH: string;
	export const npm_package_type: string;
	export const npm_package_exports___server: string;
	export const RUNNER_USER: string;
	export const CHROMEWEBDRIVER: string;
	export const JOURNAL_STREAM: string;
	export const GITHUB_WORKFLOW: string;
	export const _: string;
	export const npm_package_module: string;
	export const npm_package_scripts_check_watch: string;
	export const npm_config_registry: string;
	export const GITHUB_RUN_ID: string;
	export const GOROOT_1_17_X64: string;
	export const GITHUB_REF_TYPE: string;
	export const BOOTSTRAP_HASKELL_NONINTERACTIVE: string;
	export const GITHUB_BASE_REF: string;
	export const ImageOS: string;
	export const npm_package_devDependencies__supabase_supabase_js: string;
	export const PERFLOG_LOCATION_SETTING: string;
	export const GOROOT_1_18_X64: string;
	export const GITHUB_ACTION_REPOSITORY: string;
	export const npm_package_exports___package_json: string;
	export const npm_config_node_gyp: string;
	export const PATH: string;
	export const ANT_HOME: string;
	export const DOTNET_MULTILEVEL_LOOKUP: string;
	export const RUNNER_TRACKING_ID: string;
	export const INVOCATION_ID: string;
	export const RUNNER_TOOL_CACHE: string;
	export const GOROOT_1_19_X64: string;
	export const NODE: string;
	export const TURBO_HASH: string;
	export const npm_package_name: string;
	export const npm_package_repository_type: string;
	export const GITHUB_ACTION: string;
	export const GITHUB_RUN_NUMBER: string;
	export const GITHUB_TRIGGERING_ACTOR: string;
	export const RUNNER_ARCH: string;
	export const XDG_RUNTIME_DIR: string;
	export const AGENT_TOOLSDIRECTORY: string;
	export const LANG: string;
	export const VCPKG_INSTALLATION_ROOT: string;
	export const npm_package_devDependencies__sveltejs_package: string;
	export const CONDA: string;
	export const RUNNER_NAME: string;
	export const XDG_CONFIG_HOME: string;
	export const GITHUB_REF_NAME: string;
	export const GITHUB_REPOSITORY: string;
	export const npm_package_main: string;
	export const npm_lifecycle_script: string;
	export const ANDROID_NDK_ROOT: string;
	export const GITHUB_ACTION_REF: string;
	export const DEBIAN_FRONTEND: string;
	export const npm_package_devDependencies__sveltejs_kit: string;
	export const GITHUB_ACTIONS: string;
	export const STATS_KEEPALIVE: string;
	export const STATS_PFS: string;
	export const NODE_PATH: string;
	export const npm_package_version: string;
	export const npm_package_repository_url: string;
	export const npm_lifecycle_event: string;
	export const GITHUB_REF_PROTECTED: string;
	export const npm_package_scripts_build: string;
	export const npm_package_devDependencies_svelte: string;
	export const npm_package_devDependencies_tslib: string;
	export const npm_package_dependencies__supabase_auth_helpers_shared: string;
	export const GITHUB_WORKSPACE: string;
	export const VCPKG_ROOT: string;
	export const ACCEPT_EULA: string;
	export const GITHUB_JOB: string;
	export const RUNNER_PERFLOG: string;
	export const npm_package_author: string;
	export const GITHUB_SHA: string;
	export const GITHUB_RUN_ATTEMPT: string;
	export const GITHUB_REF: string;
	export const GITHUB_ACTOR: string;
	export const ANDROID_SDK_ROOT: string;
	export const npm_package_license: string;
	export const LEIN_HOME: string;
	export const GITHUB_PATH: string;
	export const JAVA_HOME: string;
	export const PWD: string;
	export const RUNNER_WORKSPACE: string;
	export const npm_execpath: string;
	export const HOMEBREW_CLEANUP_PERIODIC_FULL_DAYS: string;
	export const GITHUB_EVENT_NAME: string;
	export const HOMEBREW_NO_AUTO_UPDATE: string;
	export const ANDROID_HOME: string;
	export const GITHUB_SERVER_URL: string;
	export const GECKOWEBDRIVER: string;
	export const LEIN_JAR: string;
	export const EDGEWEBDRIVER: string;
	export const PNPM_SCRIPT_SRC_DIR: string;
	export const ANDROID_NDK: string;
	export const SGX_AESM_ADDR: string;
	export const CHROME_BIN: string;
	export const SELENIUM_JAR_PATH: string;
	export const npm_package_exports__: string;
	export const ANDROID_NDK_HOME: string;
	export const GITHUB_STEP_SUMMARY: string;
	export const INIT_CWD: string;
}

/**
 * Similar to [`$env/static/private`](https://kit.svelte.dev/docs/modules#$env-static-private), except that it only includes environment variables that begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) (which defaults to `PUBLIC_`), and can therefore safely be exposed to client-side code.
 * 
 * Values are replaced statically at build time.
 * 
 * ```ts
 * import { PUBLIC_BASE_URL } from '$env/static/public';
 * ```
 */
declare module '$env/static/public' {

}

/**
 * This module provides access to runtime environment variables, as defined by the platform you're running on. For example if you're using [`adapter-node`](https://github.com/sveltejs/kit/tree/master/packages/adapter-node) (or running [`vite preview`](https://kit.svelte.dev/docs/cli)), this is equivalent to `process.env`. This module only includes variables that _do not_ begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env).
 * 
 * This module cannot be imported into public-facing code.
 * 
 * ```ts
 * import { env } from '$env/dynamic/private';
 * console.log(env.DEPLOYMENT_SPECIFIC_VARIABLE);
 * ```
 * 
 * > In `dev`, `$env/dynamic` always includes environment variables from `.env`. In `prod`, this behavior will depend on your adapter.
 */
declare module '$env/dynamic/private' {
	export const env: {
		npm_package_devDependencies_svelte2tsx: string;
		DEPLOYMENT_BASEPATH: string;
		DOTNET_NOLOGO: string;
		USER: string;
		npm_config_user_agent: string;
		CI: string;
		npm_package_bugs_url: string;
		GITHUB_ENV: string;
		PIPX_HOME: string;
		npm_package_devDependencies_vite: string;
		npm_node_execpath: string;
		JAVA_HOME_8_X64: string;
		SHLVL: string;
		npm_package_publishConfig_access: string;
		HOME: string;
		RUNNER_TEMP: string;
		GITHUB_EVENT_PATH: string;
		npm_package_devDependencies_del_cli: string;
		JAVA_HOME_11_X64: string;
		PIPX_BIN_DIR: string;
		GRAALVM_11_ROOT: string;
		GITHUB_REPOSITORY_OWNER: string;
		GRADLE_HOME: string;
		ANDROID_NDK_LATEST_HOME: string;
		GITHUB_RETENTION_DAYS: string;
		POWERSHELL_DISTRIBUTION_CHANNEL: string;
		AZURE_EXTENSION_DIR: string;
		GITHUB_HEAD_REF: string;
		npm_package_scripts_check: string;
		npm_package_keywords_0: string;
		npm_package_peerDependencies__supabase_supabase_js: string;
		GITHUB_GRAPHQL_URL: string;
		npm_package_description: string;
		npm_package_keywords_1: string;
		npm_package_devDependencies_typescript: string;
		NVM_DIR: string;
		npm_package_types: string;
		npm_package_keywords_2: string;
		npm_package_homepage: string;
		DOTNET_SKIP_FIRST_TIME_EXPERIENCE: string;
		JAVA_HOME_17_X64: string;
		ImageVersion: string;
		npm_package_keywords_3: string;
		RUNNER_OS: string;
		GITHUB_API_URL: string;
		SWIFT_PATH: string;
		npm_package_type: string;
		npm_package_exports___server: string;
		RUNNER_USER: string;
		CHROMEWEBDRIVER: string;
		JOURNAL_STREAM: string;
		GITHUB_WORKFLOW: string;
		_: string;
		npm_package_module: string;
		npm_package_scripts_check_watch: string;
		npm_config_registry: string;
		GITHUB_RUN_ID: string;
		GOROOT_1_17_X64: string;
		GITHUB_REF_TYPE: string;
		BOOTSTRAP_HASKELL_NONINTERACTIVE: string;
		GITHUB_BASE_REF: string;
		ImageOS: string;
		npm_package_devDependencies__supabase_supabase_js: string;
		PERFLOG_LOCATION_SETTING: string;
		GOROOT_1_18_X64: string;
		GITHUB_ACTION_REPOSITORY: string;
		npm_package_exports___package_json: string;
		npm_config_node_gyp: string;
		PATH: string;
		ANT_HOME: string;
		DOTNET_MULTILEVEL_LOOKUP: string;
		RUNNER_TRACKING_ID: string;
		INVOCATION_ID: string;
		RUNNER_TOOL_CACHE: string;
		GOROOT_1_19_X64: string;
		NODE: string;
		TURBO_HASH: string;
		npm_package_name: string;
		npm_package_repository_type: string;
		GITHUB_ACTION: string;
		GITHUB_RUN_NUMBER: string;
		GITHUB_TRIGGERING_ACTOR: string;
		RUNNER_ARCH: string;
		XDG_RUNTIME_DIR: string;
		AGENT_TOOLSDIRECTORY: string;
		LANG: string;
		VCPKG_INSTALLATION_ROOT: string;
		npm_package_devDependencies__sveltejs_package: string;
		CONDA: string;
		RUNNER_NAME: string;
		XDG_CONFIG_HOME: string;
		GITHUB_REF_NAME: string;
		GITHUB_REPOSITORY: string;
		npm_package_main: string;
		npm_lifecycle_script: string;
		ANDROID_NDK_ROOT: string;
		GITHUB_ACTION_REF: string;
		DEBIAN_FRONTEND: string;
		npm_package_devDependencies__sveltejs_kit: string;
		GITHUB_ACTIONS: string;
		STATS_KEEPALIVE: string;
		STATS_PFS: string;
		NODE_PATH: string;
		npm_package_version: string;
		npm_package_repository_url: string;
		npm_lifecycle_event: string;
		GITHUB_REF_PROTECTED: string;
		npm_package_scripts_build: string;
		npm_package_devDependencies_svelte: string;
		npm_package_devDependencies_tslib: string;
		npm_package_dependencies__supabase_auth_helpers_shared: string;
		GITHUB_WORKSPACE: string;
		VCPKG_ROOT: string;
		ACCEPT_EULA: string;
		GITHUB_JOB: string;
		RUNNER_PERFLOG: string;
		npm_package_author: string;
		GITHUB_SHA: string;
		GITHUB_RUN_ATTEMPT: string;
		GITHUB_REF: string;
		GITHUB_ACTOR: string;
		ANDROID_SDK_ROOT: string;
		npm_package_license: string;
		LEIN_HOME: string;
		GITHUB_PATH: string;
		JAVA_HOME: string;
		PWD: string;
		RUNNER_WORKSPACE: string;
		npm_execpath: string;
		HOMEBREW_CLEANUP_PERIODIC_FULL_DAYS: string;
		GITHUB_EVENT_NAME: string;
		HOMEBREW_NO_AUTO_UPDATE: string;
		ANDROID_HOME: string;
		GITHUB_SERVER_URL: string;
		GECKOWEBDRIVER: string;
		LEIN_JAR: string;
		EDGEWEBDRIVER: string;
		PNPM_SCRIPT_SRC_DIR: string;
		ANDROID_NDK: string;
		SGX_AESM_ADDR: string;
		CHROME_BIN: string;
		SELENIUM_JAR_PATH: string;
		npm_package_exports__: string;
		ANDROID_NDK_HOME: string;
		GITHUB_STEP_SUMMARY: string;
		INIT_CWD: string;
		[key: string]: string | undefined;
	}
}

/**
 * Similar to [`$env/dynamic/private`](https://kit.svelte.dev/docs/modules#$env-dynamic-private), but only includes variables that begin with [`config.kit.env.publicPrefix`](https://kit.svelte.dev/docs/configuration#env) (which defaults to `PUBLIC_`), and can therefore safely be exposed to client-side code.
 * 
 * Note that public dynamic environment variables must all be sent from the server to the client, causing larger network requests — when possible, use `$env/static/public` instead.
 * 
 * ```ts
 * import { env } from '$env/dynamic/public';
 * console.log(env.PUBLIC_DEPLOYMENT_SPECIFIC_VARIABLE);
 * ```
 */
declare module '$env/dynamic/public' {
	export const env: {
		[key: string]: string | undefined;
	}
}
