import type { Session } from '@supabase/supabase-js';
import type { Cookies } from '@sveltejs/kit';
/**
 * Save the session using cookies
 * @param cookies sveltekit´s Cookie API
 * @param session Supabase Session
 * @param response an optional `Response` to append the cookie header to
 */
export declare function saveSession(cookies: Cookies, session: Session, response?: Response): void;
/**
 * Clear the session cookies
 * @param cookies sveltekit´s Cookie API
 * @param response an optional `Response` to append the cookie header to
 */
export declare function deleteSession(cookies: Cookies, response?: Response): void;
