import type { SupabaseClient } from '@supabase/supabase-js';
/**
 * Use this helper to get the global supabaseClient
 * configured to send the accessToken on every request
 *
 * **Always use the returned instance directly**
 *
 * _GOOD_:
 * ```ts
 * await supabaseServerClient(accessToken).from('posts').select();
 * ```
 *
 * _BAD_:
 * ```ts
 * const supabaseClient = supabaseServerClient(accessToken)
 * await supabaseClient.from('posts').select();
 * ```
 */
export declare function supabaseServerClient(access_token: string | null | undefined): SupabaseClient;
